import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';

import { EditorPage } from './editor.page';
import {EditorGuard} from '../../service/guard/Editor.guard';

const routes: Routes = [
  {
    path: '',
    canActivate: [EditorGuard],
    component: EditorPage
  }
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class EditorPageRoutingModule {}
