import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';

import {ViewerPage} from './viewer.page';
import {EditorGuard} from '../../service/guard/Editor.guard';

const routes: Routes = [
  {
    path: 'site',
    canActivate: [EditorGuard],
    component: ViewerPage
  }
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class ViewerPageRoutingModule {}
